Bug 1789350 - Please migrate to the new Fedora translation platform
Summary: Please migrate to the new Fedora translation platform
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-09 12:20 UTC by jibecfed
Modified: 2020-08-27 07:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description jibecfed 2020-01-09 12:20:19 UTC
Hello, the Fedora project migrates its translation platform to Weblate [1].

This tool directly interact with your git repository, and requires us to know:

* [mandatory] which branch is your development branch?
* [mandatory] have you merged latest translation from Zanata and locked the project?
* [info] Weblate will handle updates when pot file changes, don't edit po files for this [2]
* [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)
* [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)
* [optional] do you need us to activate any specific checks? (this is a setting per component [3])
* [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

Please note:

* For github and gitlab hosted projects, Weblate open pull request. For other git hosting, you'll have to add a key to allow commits.
* In Weblate's vocable, one project is a group of component. Each component is a translation file. You can have many projects or many components or both.
* You can change your mind over time, just reach trans@lists.fedoraproject.org

[1] https://communityblog.fedoraproject.org/fedora-localization-platform-migrates-to-weblate/ 
[2] https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-conflicts
[3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks


Project is: https://fedora.zanata.org/project/view/rhel-comps
But as I can't find upstream and this is hosted by Fedora, I decided to start here.

Comment 1 Ben Cotton 2020-02-11 17:36:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 jibecfed 2020-08-27 07:26:39 UTC
Be carefull, Zanata will be removed in a few weeks now: https://bugzilla.redhat.com/show_bug.cgi?id=1854445


Note You need to log in before you can comment on or make changes to this bug.